Skip to main content
GET
/
mailbox
/
threads
/
{thread_id}
/
messages
List thread messages
curl --request GET \
  --url https://app.sendmux.ai/api/v1/mailbox/threads/{thread_id}/messages \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  },
  "data": [
    {
      "id": "<string>",
      "thread_id": "<string>",
      "folder_ids": [
        "<string>"
      ],
      "subject": "<string>",
      "preview": "<string>",
      "from": {
        "email": "agent@example.com",
        "name": "Support"
      },
      "to": [
        {
          "email": "agent@example.com",
          "name": "Support"
        }
      ],
      "cc": [
        {
          "email": "agent@example.com",
          "name": "Support"
        }
      ],
      "bcc": [
        {
          "email": "agent@example.com",
          "name": "Support"
        }
      ],
      "received_at": "<string>",
      "sent_at": "<string>",
      "size_bytes": 123,
      "has_attachments": true,
      "keywords": [
        "$seen",
        "$flagged",
        "agent_triaged"
      ],
      "flags": {
        "seen": true,
        "flagged": true,
        "draft": true,
        "answered": true
      }
    }
  ],
  "pagination": {
    "has_more": true,
    "next_cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.sendmux.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.

Path Parameters

thread_id
string
required

Query Parameters

cursor
string
limit
integer
Required range: 1 <= x <= 100
sort
enum<string>
Available options:
asc,
desc

Response

Thread messages

ok
enum<boolean>
required
Available options:
true
meta
object
required
data
object[]
required
pagination
object
required